> ## Documentation Index
> Fetch the complete documentation index at: https://docs.galileo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Autogen Llm Scorer

> Autogenerate an LLM scorer configuration.

Returns a Celery task ID that can be used to poll for the autogeneration results.



## OpenAPI

````yaml https://api.galileo.ai/public/v2/openapi.json post /v2/scorers/llm/autogen
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.galileo.ai
    description: Galileo Public APIs - galileo-v2
security: []
paths:
  /v2/scorers/llm/autogen:
    post:
      tags:
        - data
        - prompts
        - rows
      summary: Autogen Llm Scorer
      description: >-
        Autogenerate an LLM scorer configuration.


        Returns a Celery task ID that can be used to poll for the autogeneration
        results.
      operationId: autogen_llm_scorer_v2_scorers_llm_autogen_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateLLMScorerAutogenRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenerationResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
        - OAuth2PasswordBearer: []
        - HTTPBasic: []
components:
  schemas:
    CreateLLMScorerAutogenRequest:
      properties:
        instructions:
          type: string
          title: Instructions
        model_name:
          type: string
          title: Model Name
        output_type:
          $ref: '#/components/schemas/OutputTypeEnum'
        cot_enabled:
          type: boolean
          title: Cot Enabled
        scoreable_node_types:
          items:
            type: string
          type: array
          title: Scoreable Node Types
      type: object
      required:
        - instructions
        - model_name
        - output_type
        - cot_enabled
        - scoreable_node_types
      title: CreateLLMScorerAutogenRequest
    GenerationResponse:
      properties:
        task_result_id:
          type: string
          format: uuid4
          title: Task Result Id
      type: object
      required:
        - task_result_id
      title: GenerationResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    OutputTypeEnum:
      type: string
      enum:
        - boolean
        - categorical
        - count
        - discrete
        - freeform
        - percentage
        - multilabel
        - retrieved_chunk_list_boolean
        - boolean_multilabel
      title: OutputTypeEnum
      description: Enumeration of output types.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: Galileo-API-Key
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: https://api.galileo.ai/login
    HTTPBasic:
      type: http
      scheme: basic

````